Zeitgeist.QueuedProxyWrapper – zeitgeist-2.0 Reference Manual

# QueuedProxyWrapper

## Object Hierarchy:

## Description:

protected abstract class QueuedProxyWrapper : Object
All known sub-classes:

- DataSourceRegistry

- Index

- Log

Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Classes:

- QueuedMethod

### Properties:

- public bool is_connected { get; }
- public bool proxy_created { get; }

### Creation methods:

- public QueuedProxyWrapper ()

### Methods:

- protected void name_owner_changed (ParamSpec pspec)
- protected abstract void on_connection_established ()
- protected abstract void on_connection_lost ()
- protected void process_queued_methods ()
- protected void proxy_acquired (Object proxy)
- protected void proxy_unavailable (IOError err)
- protected async void wait_for_proxy () throws Error

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref